{ config, lib, nodes, ... }:
{
  fileSystems = let
    netOpts = [
      "noauto"
      "soft"
      "x-systemd.automount"
    ];
  in with nodes; {
    "midas" = {
      device = "[${midas.config.deployment.targetHost}]:/storage";
      mountPoint = "/network/Midas";
      fsType = "nfs4";
      options = netOpts;
    };
    "kitty" = {
      device = "[${kitty.config.deployment.targetHost}]:/storage";
      mountPoint = "/network/Kitty";
      fsType = "nfs4";
      options = netOpts;
    };
    "detritus" = {
      device = "[${detritus.config.deployment.targetHost}]:/storage";
      mountPoint = "/network/Detritus";
      fsType = "nfs4";
      options = netOpts;
    };
    "elder" = {
      device = "[${elder.config.deployment.targetHost}]:/storage";
      mountPoint = "/network/Elder";
      fsType = "nfs4";
      options = netOpts;
    };
    "prophet" = {
      device = "[${prophet.config.deployment.targetHost}]:/storage";
      mountPoint = "/network/Prophet";
      fsType = "nfs4";
      options = netOpts;
    };
  };
}
