{ config, lib, ... }:
{
  boot.kernelParams = [
    "nouveau.config=NvGspRm=1" # Use high power mode for Nouveau
    "nvidia_drm.fbdev=1" # Fix framebuffer
  ];

  hardware.nvidia = {
    modesetting.enable = true;
    nvidiaSettings = false;
    open = true;
  };

  nixpkgs.allowUnfreePackages = [ "nvidia-x11" ];

  specialisation = lib.mkIf (lib.elem "nvidia" config.services.xserver.videoDrivers) {
    nouveau.configuration.config.services.xserver.videoDrivers = lib.mkForce [ "nouveau" ];
  };
}
